Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class DLAEXC

    java.lang.Object
      org.netlib.lapack.DLAEXC

    public class DLAEXC

extends java.lang.Object

    DLAEXC is a simplified interface to the JLAPACK routine dlaexc.
    This interface converts Java-style 2D row-major arrays into
    the 1D column-major linearized arrays expected by the lower
    level JLAPACK routines.  Using this interface also allows you
    to omit offset and leading dimension arguments.  However, because
    of these conversions, these routines will be slower than the low
    level ones.  Following is the description from the original Fortran
    source.  Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  DLAEXC swaps adjacent diagonal blocks T11 and T22 of order 1 or 2 in

     *  an upper quasi-triangular matrix T by an orthogonal similarity
     *  transformation.
     *
     *  T must be in Schur canonical form, that is, block upper triangular
     *  with 1-by-1 and 2-by-2 diagonal blocks; each 2-by-2 diagonal block
     *  has its diagonal elemnts equal and its off-diagonal elements of
     *  opposite sign.
     *
     *  Arguments
     *  =========
     *
     *  WANTQ   (input) LOGICAL
     *          = .TRUE. : accumulate the transformation in the matrix Q;
     *          = .FALSE.: do not accumulate the transformation.
     *
     *  N       (input) INTEGER
     *          The order of the matrix T. N >= 0.
     *
     *  T       (input/output) DOUBLE PRECISION array, dimension (LDT,N)
     *          On entry, the upper quasi-triangular matrix T, in Schur
     *          canonical form.
     *          On exit, the updated matrix T, again in Schur canonical form.
     *
     *  LDT     (input)  INTEGER
     *          The leading dimension of the array T. LDT >= max(1,N).
     *
     *  Q       (input/output) DOUBLE PRECISION array, dimension (LDQ,N)
     *          On entry, if WANTQ is .TRUE., the orthogonal matrix Q.
     *          On exit, if WANTQ is .TRUE., the updated matrix Q.
     *          If WANTQ is .FALSE., Q is not referenced.
     *
     *  LDQ     (input) INTEGER
     *          The leading dimension of the array Q.
     *          LDQ >= 1; and if WANTQ is .TRUE., LDQ >= N.
     *
     *  J1      (input) INTEGER
     *          The index of the first row of the first block T11.
     *
     *  N1      (input) INTEGER
     *          The order of the first block T11. N1 = 0, 1 or 2.
     *
     *  N2      (input) INTEGER
     *          The order of the second block T22. N2 = 0, 1 or 2.
     *
     *  WORK    (workspace) DOUBLE PRECISION array, dimension (N)
     *
     *  INFO    (output) INTEGER
     *          = 0: successful exit
     *          = 1: the transformed matrix T would be too far from Schur
     *               form; the blocks are not swapped and T and Q are
     *               unchanged.
     *
     *  =====================================================================
     *
     *     .. Parameters ..

Constructor Summary
`DLAEXC()`

Method Summary
`static void` | `DLAEXC(boolean wantq, int n, double[][] t, double[][] q, int j1, int n1, int n2, double[] work, intW info)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DLAEXC

    public DLAEXC()

Method Detail

### DLAEXC

    public static void DLAEXC(boolean wantq,
                              int n,
                              double[][] t,
                              double[][] q,
                              int j1,
                              int n1,
                              int n2,
                              double[] work,
                              intW info)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD